Skip to main content
POST
/
api
/
PlannedGift
Create a Planned Gift
curl --request POST \
  --url https://api.virtuoussoftware.com/api/PlannedGift \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactId": "<integer>",
  "plannedGiftDate": "<dateTime>",
  "plannedGiftType": "<string>",
  "frequency": "Once|Monthly|Quarterly|Semiannually|Annually|Biennially",
  "anticipatedAmount": "<double>",
  "anticipatedStartDate": "<dateTime>",
  "numberOfOccurrences": "<integer>",
  "currentValue": "<double>",
  "contactIndividualId": "<integer>",
  "assignedUserId": "<integer>",
  "projectId": "<integer>",
  "segmentId": "<integer>",
  "thankYouDate": "<dateTime>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
'
{
  "id": "<integer>",
  "plannedGiftUrl": "<string>",
  "giftsAppliedUrl": "<string>",
  "contactId": "<integer>",
  "contactUrl": "<string>",
  "plannedGiftDate": "<string>",
  "pkannedGiftType": "<string>",
  "frequency": "<string>",
  "anticipatedAmount": "<string>",
  "anticipatedStartDate": "<string>",
  "numberOfOccurrences": "<integer>",
  "currentValue": "<string>",
  "fulfilled": "<string>",
  "projectId": "<integer>",
  "project": "<string>",
  "projectUrl": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "segmentUrl": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
contactId
string
plannedGiftDate
string
plannedGiftType
string
frequency
string
anticipatedAmount
string
anticipatedStartDate
string
numberOfOccurrences
string
currentValue
string
contactIndividualId
string
assignedUserId
string
projectId
string
segmentId
string
thankYouDate
string
customFields
object[]

Response

OK

id
string
plannedGiftUrl
string
giftsAppliedUrl
string
contactId
string
contactUrl
string
plannedGiftDate
string
pkannedGiftType
string
frequency
string
anticipatedAmount
string
anticipatedStartDate
string
numberOfOccurrences
string
currentValue
string
fulfilled
string
projectId
string
project
string
projectUrl
string
segmentId
string
segment
string
segmentUrl
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
customFields
object[]
Last modified on June 5, 2026